#include <stdlib.h>

#include "smile_pronouncer.h"


#if defined(__WIN32__) || defined(_WIN32)
char modelPath[] = "models\\hasball2.dne";
#else
char modelPath[] = "models/hasball2.dne";
#endif


extern void getProbabilities(int p, int s, double *probs);
extern void getUtilities(int p, double *utils);


void makeModel(int modelId)
{
    int parents[3];
    double values[48];

    getProbabilities(1, 2, values);
    setProbabilities(modelId, "B", NULL, 2, values);
    getProbabilities(1, 2, values);
    setProbabilities(modelId, "C", NULL, 2, values);
    parents[0] = 3;
    parents[1] = 2;
    parents[2] = 2;
    getProbabilities(12, 4, values);
    setAllProbabilities(modelId, "A", 3, parents, 4, values);
    parents[0] = 3;
    parents[1] = 4;
    getUtilities(12, values);
    setAllUtilities(modelId, "U", 2, parents, values);
}
