#include <stdlib.h>

#include "netica_pronouncer.h"


#if defined(__WIN32__) || defined(_WIN32)
char modelPath[] = "models\\epagent.dne";
#else
char modelPath[] = "models/epagent.dne";
#endif


extern void getProbabilities(int p, int s, double *probs);
extern void getUtilities(int p, double *utils);


void makeModel(int modelId)
{
    int parents[2];
    double values[60];

    getProbabilities(1, 5, values);
    setProbabilities(modelId, "B", NULL, 5, values);
    parents[0] = 4;
    parents[1] = 5;
    getProbabilities(20, 3, values);
    setAllProbabilities(modelId, "A", 2, parents, 3, values);
    parents[0] = 4;
    parents[1] = 3;
    getUtilities(12, values);
    setAllUtilities(modelId, "U", 2, parents, values);
}
